﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace TestWin64GridItem2
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>
  public partial class Window1 : Window
  {
    public ObservableCollection<Person> PersonList { get; private set; }
    public Window1()
    {
      InitializeComponent();
      PersonList = new ObservableCollection<Person>();
      xamSettingHierarchyGrid.DataSource = PersonList;
    }

    private void FillGrid_Click(object sender, RoutedEventArgs e)
    {
      CreatePersonList();
    }

    private void CreatePersonList()
    {
      PersonList.Add(new Person{IsSelectedItem=false,PersonName="Robert W Downing"});
      PersonList.Add(new Person{IsSelectedItem=false,PersonName="Philip W Downing"});
      PersonList.Add(new Person{IsSelectedItem=false,PersonName="Daniel W Downing"});
      PersonList.Add(new Person{IsSelectedItem=false,PersonName="Stanton W Downing"});
      PersonList.Add(new Person{IsSelectedItem=false,PersonName="Trevor W Downing"});
    }

    private void xamSettingHierarchyGrid_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
    {
      DataRecord dataRecord = xamSettingHierarchyGrid.ActiveRecord as DataRecord;

      if (dataRecord != null && dataRecord.IsSelected == true)
      {
        dataRecord.IsSelected = false;
        Person personItem = dataRecord.DataItem as Person;
        if (personItem != null)
        {
          personItem.IsSelectedItem = !personItem.IsSelectedItem;
        }
      }
    }
  }
}
